ARG RUNTIME_IMAGE=reg.gitlab.micord.ru/common/base/alt/alt-p11-jre21:latest

FROM $RUNTIME_IMAGE

RUN apt-get update \
 && apt-get -y install nginx

ENV BACKEND_URL=http://localhost:8080
ENV CONFIG_DATA_EXECUTOR_URL=http://localhost:8080/api

COPY nginx.conf /etc/nginx/nginx.conf
COPY dist /usr/share/nginx/html
COPY backend.jar /home/app/backend.jar
COPY config-data-executor.jar /home/app/cde.jar

EXPOSE 80

ENTRYPOINT ["java", "-jar", "/home/app/backend.jar"]
